Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.io
Class SimpleStringExtractor

    java.lang.Object
      de.jstacs.io.AbstractStringExtractor
          de.jstacs.io.SimpleStringExtractor

All Implemented Interfaces:
  Enumeration<String>

    public class SimpleStringExtractor

extends AbstractStringExtractor

This is a simple class that extracts `String`s. It enables the user to create a `DataSet` from a bunch of `String`s. It might be useful if one likes to select or create the `String`s by an own procedure. The extracted Strings which should be parsed to `Sequence` will not be annotated, since `AbstractStringExtractor.getCurrentSequenceAnnotations()` always returns `null`.

Author:
  Jens Keilwagen

Field Summary

Fields inherited from class de.jstacs.io.AbstractStringExtractor
`annotation, FASTA, ignore, ignorePattern, USUALLY`

Constructor Summary
`SimpleStringExtractor(String... strings)` This constructor packs the `String`s in an instance of `SimpleStringExtractor`.

Method Summary
`boolean` | `hasMoreElements()`
`String` | `nextElement()`

Methods inherited from class de.jstacs.io.AbstractStringExtractor
`getAnnotation, getCurrentSequenceAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleStringExtractor

    public SimpleStringExtractor(String... strings)

  This constructor packs the `String`s in an instance of `SimpleStringExtractor`.

  Parameters:
    `strings` - the `String`s that will be packed
  See Also:
    `AbstractStringExtractor.AbstractStringExtractor(char)`

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

### nextElement

    public String nextElement()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD